Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008649opensim[REGION] Script Functionspublic2020-01-19 16:382020-03-01 13:57
ReporterJeff Hall 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionopen 
PlatformWindowsOSWindows 10 - 64 bitsOS VersionWin 10-64 v1909
Product Version0.9.1.0 
Target VersionFixed in Version 
Summary0008649: LSL scripting - llForceMouselook not working properly
DescriptionThe lsl llForceMouselook function enables to set user's view into mouselook when needed for specific purposes when sitting on an object. The default behavior is to keep normal view if not specified but if we do use [llForceMouselook(TRUE);]on [state_entry] then user should enter into mouse look and after standing then sitting on another object it should be normal view since its default view.

It actually doesn't work properly anymore since user will only get into mouse look after a second sitting and once he stands and sits on another object without any mouselook forcing specification he will still be into mouse look until he stands and sits again.

Expected behavior with llForceMouselook(TRUE): user gets into mouselook view and gets back into normal default view after standing (when he will sit somewhere else after)

Actuel behavior with llForceMouselook(TRUE): user doesnt get into mouselook view when sitting on first time unless he sits a second time. After standing and sitting again on another object without mouselook forcing he will still be into mouselook until he sits and stands again.
Steps To Reproduce1-Add llForceMouselook(TRUE) in state_entry section in one prim for sitting and no llForceMouselook in another prim (default). I include in current mantis ticket a zip file containing the 2 scripts that can be added into prims to see.

2-Sit on normal prim with no llForceMouselook: user will sit normally with default view and same after standing and sitting back on prim

3-Sit on other prim with llForceMouselook(TRUE): user will sit normally instead getting into expected mouse look. If you stand and sit again then you will get into mouse look while we should had been at first time. If we stand and sit on another sitting prim without any mouse look forcing then we will get into mouse look while it is supposed to be default view, not matter if prim is scripted or not. We need to stand and sit again to reset view to default one, which isn't expected behhavior.
Additional InformationChanges seem to have occured somewhere from 0.9.1.0 to 0.9.1.1 but i unfortunately cannot tell precisely when.

llForceMouselook Test

OpenSim versions:

OSGrid
OpenSim 0.9.1.1 Yeti Dev OSgrid 0.9.1.1 Yeti Dev 066a6fbaa1: 2019-12-18 23:26:13 +0000 (Win/.NET): NOT WORKING
OpenSim 0.9.1.0 Dev OSgrid 0.9.1.0 (Dev) 59afeb6: 2017-10-06 (Win/.NET): WORKING WELL

OpenSim Fest
Tachyon Sim 1.0.0.0 Revsion_500b27_164321_011820 (Unix/Mono): NOT WORKING

Metropolis
OpenSim 0.9.1.0 Snail Metropolis Edition: WORKING WELL

Viewer:

Firestorm 6.0.2 (56680) Feb 9 2019 10:23:10 (64bit) (Firestorm-Releasex64) with OpenSimulator support

https://wiki.osgrid.org/index.php/LlForceMouselook [^]
http://wiki.secondlife.com/wiki/LlForceMouselook [^]
TagsNo tags attached.
Git Revision or version number
Run Mode Standalone (Multiple Regions)
Physics EngineBulletSim
Script EngineXEngine
Environment.NET / Windows64
Mono VersionNone
ViewerFirestorm 6.0.2 (56680)
Attached Fileszip file icon llForceMouselook_test.zip [^] (1,648 bytes) 2020-01-19 16:38

- Relationships

-  Notes
(0036115)
tampa (reporter)
2020-01-20 01:19

Please test against master code rather than some third party binaries.
(0036117)
Jeff Hall (reporter)
2020-01-20 05:37
edited on: 2020-01-20 05:37

@tampa: i did test different versions including two built for OSGrid which is considered to be the official opensim test grid (read notes above). I also suspect, as i said, the changes to have occured somewhere from 0.9.1.0 to 0.9.1.1 but i im not sure exactly when.

(0036120)
tampa (reporter)
2020-01-20 05:58

osgrid is a repackage, it is not master code. It is not the "official test grid" and has not been for quite a while now. We ask to test against master code, because what goes into third party distributions is not always clear and only something actually broken in the official version of OpenSim can be fixed.

Going between those two version numbers are months worth of commits numbering in the thousands, a bit more narrowing down is needed if there is any hope in figuring out what's wrong.

You can build older commits via a specific checkout or you can fetch older binaries from here: http://two66.com/mirrors/?dir=OpenSimulator&by=lastModified&order=asc [^] however they only go back to 03.19
(0036123)
Jeff Hall (reporter)
2020-01-20 06:14

I can always try looking at those versions you are refering though i'm not an opensim dev. Once that said though i detailled how the reproduce bug and it is obviously a bug no matter where it comes from, when considering that function usage with its explanation in wiki. To be investigated.
(0036124)
UbitUmarov (administrator)
2020-01-20 06:19

i do notice that also to true or to false
no idea.. that code had not changed, we i see the correct information sent to viewer.. it (FS) just doesn't do it
need to dig a bit more...
(0036125)
danbanner (manager)
2020-01-20 07:18

fwiw: OSgrid binaries are built directly from git and no patches are applied.
(0036127)
UbitUmarov (administrator)
2020-01-20 08:19

only dif i could see was a increased chance of out of order udp packets.
changed some code to reduce that.

physics sits where telling viewer to autopilot to object position.
Did disable that, so we have just a ugly unrealist jump

but needed for now. Viewer autopilot adds more chances for avatar state desync, still not handled.
(0036130)
UbitUmarov (administrator)
2020-01-20 08:28

and yes, before you ask, i know the camera orientation is still not good
(0036131)
Jeff Hall (reporter)
2020-01-20 19:33

I am sure you are doing your best and ty for looking at Ubit.
(0036232)
Jeff Hall (reporter)
2020-03-01 13:55
edited on: 2020-03-01 13:55

This build version works now: OSgrid 0.9.2.0 Yeti Dev 270a3e3836: 2020-02-21


- Issue History
Date Modified Username Field Change
2020-01-19 16:38 Jeff Hall New Issue
2020-01-19 16:38 Jeff Hall File Added: llForceMouselook_test.zip
2020-01-19 19:24 Jeff Hall Description Updated View Revisions
2020-01-19 19:24 Jeff Hall Steps to Reproduce Updated View Revisions
2020-01-19 19:51 Jeff Hall Additional Information Updated View Revisions
2020-01-20 01:19 tampa Note Added: 0036115
2020-01-20 05:37 Jeff Hall Note Added: 0036117
2020-01-20 05:37 Jeff Hall Note Edited: 0036117 View Revisions
2020-01-20 05:58 tampa Note Added: 0036120
2020-01-20 06:14 Jeff Hall Note Added: 0036123
2020-01-20 06:19 UbitUmarov Note Added: 0036124
2020-01-20 07:18 danbanner Note Added: 0036125
2020-01-20 08:19 UbitUmarov Note Added: 0036127
2020-01-20 08:28 UbitUmarov Note Added: 0036130
2020-01-20 19:33 Jeff Hall Note Added: 0036131
2020-03-01 13:55 Jeff Hall Note Added: 0036232
2020-03-01 13:55 Jeff Hall Note Edited: 0036232 View Revisions
2020-03-01 13:57 Jeff Hall Status new => resolved


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker